<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-sk-subtitusi-heading" data-cy="SkSubtitusiCreateUpdateHeading">Create or edit a Sk Subtitusi</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_nomor">Nomor</label>
          <input type="text" class="form-control" name="nomor" id="field_nomor" data-cy="nomor" formControlName="nomor" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <div class="input-group">
            <input
              id="field_tanggal"
              data-cy="tanggal"
              type="text"
              class="form-control"
              name="tanggal"
              ngbDatepicker
              #tanggalDp="ngbDatepicker"
              formControlName="tanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_recordStatus">Record Status</label>
          <input
            type="number"
            class="form-control"
            name="recordStatus"
            id="field_recordStatus"
            data-cy="recordStatus"
            formControlName="recordStatus"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileNameSk">File Name Sk</label>
          <input
            type="text"
            class="form-control"
            name="fileNameSk"
            id="field_fileNameSk"
            data-cy="fileNameSk"
            formControlName="fileNameSk"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileNameLamp">File Name Lamp</label>
          <input
            type="text"
            class="form-control"
            name="fileNameLamp"
            id="field_fileNameLamp"
            data-cy="fileNameLamp"
            formControlName="fileNameLamp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_statusSign">Status Sign</label>
          <input
            type="number"
            class="form-control"
            name="statusSign"
            id="field_statusSign"
            data-cy="statusSign"
            formControlName="statusSign"
          />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
